- Show content data export
You can view the status of your job by sending a GET request to the URL https://api.intercom.io/export/content/data/{job_identifier} - the {job_identifier} is the value returned in the response when you first created the export job. More on it can be seen in the Export Job Model.
🚧 Jobs expire after one week All jobs that have completed processing (and are thus available to download from the provided URL) will have an expiry limit of one week from when the export job was created. After this, the data will no longer be available.
A job that failed is returned with a 504 status code and a status of failed. A job left in progress for more than a day is marked failed when you poll it.
Requires the export_content_data OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/export/content/data/{job_identifier}
- The european API serverhttps://api.eu.intercom.io/export/content/data/{job_identifier}
- The australian API serverhttps://api.au.intercom.io/export/content/data/{job_identifier}
curl -i -X GET \
'https://api.intercom.io/export/content/data/{job_identifier}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
The current state of your job.
The time after which you will not be able to access the data, as a Unix timestamp. It is one week from the time the job was created. Empty until the job completes.
{ "job_identifier": "braxwk3j039t6txy", "status": "pending", "download_url": "", "download_expires_at": "" }